<div>

  <!-- INTERSTITIAL AD STARTS-->
  <div appDfp [responsive]='true' class='interstitial_oop' code='/97172535/Spotboye_IN_OnLoad' style="height:0 !important" [adWidth]='1' [adHeight]='1' id='ads-interstitial'></div>
  <!-- MCANVAS AD STARTS-->
  <div appDfp class='mcanvas' code='/97172535/mCanvas'  style="height:0 !important" [adWidth]='1' [adHeight]='1' id='ads-mcanvas'></div>
  <!-- Catfish AD STARTS-->
  <!-- <div appDfp class='streamlyn_catfish' code='/97172535/Spotboye_Streamlyn_Catfish' style="height:0 !important" [adWidth]='1' [adHeight]='1' id='ads-streamlyn-catfish'></div> -->
  <!-- Incontent AD STARTS-->
  <div appDfp class='streamlyn_incontent' code='/97172535/Spotboye_Streamlyn_Incontent'  style="height:0 !important" [adWidth]='1' [adHeight]='1' id='ads-streamlyn_incontent'></div>
  
  <div id="mobile_inters" style="width:100%; height:100%; left:0px; top:0px; position:fixed; z-index:5 ; background-color: #333333 ; opacity:0.5 ; display:none ; "></div>
  <div id="mobile_inters_holder" style="width:100%; height:100%; left:0px; top:0px; position:fixed; z-index:5 ;  text-align: right ; display:none ;">
    <div id="mobile_pos" style="line-height:29px; display: block ; margin: 0 auto 0 auto ;">
      <a href="javascript:close_mobile_inters()" class="oop_close">
        Close </a> </div> </div> <!-- INTERSTITIAL AD ENDS-->

          <!--mvp-fly-wrap-->

          <div id="mvp-site" class="left relative" style="transform: none;">
            <!-- SEARCH STARTS-->
            <div id="mvp-search-wrap" class="">
              <div id="mvp-search-box">
                <form method="get" id="searchform" action="{{api.getLangURL()}}/search">
                  <input autocomplete="off" type="text" name="q" id="search" value="Search" onfocus="if (this.value == 'Search') { this.value = ''; }"
                    onblur="if (this.value == '') { this.value = 'Search'; }" autofocus>
                </form>

              </div>
              <!--mvp-search-box-->
              <div class="mvp-search-but-wrap mvp-search-click">
                <span></span>
                <span></span>
              </div>
              <!--mvp-search-but-wrap-->
            </div>
            <!-- SEARCH STARTS ENDS-->

            <!--mvp-search-wrap-->
            <div id="mvp-leader-wrap">
              <div appDfp [responsive]='true' code='/97172535/Spotboye_HP_Billiboard_Top' [adWidth]='[970,320]' [adHeight]='[250,100]'
                id='ads-topbanner'></div>
        
            </div>
            <div id="mvp-site-wall" class="left relative" style="transform: none;">

              <!--mvp-leader-wrap-->
              <div id="mvp-site-main" class="left relative" style="transform: none;" [ngClass]="{'desktop-banner': screenWidth>=700,'mobile-banner': screenWidth<700 }">

                <!--MAIN PAGE ROUTLET -->
                <app-header></app-header>

                <!-- PLACE HOLDER START-->
                <div class="mvp-main-box" *ngIf="showShell">
                  <div class="placeholder" style="height:1200px;">

                    <div _ngcontent-c3="" class="mvp-feat1-right-out left relative">
                      <div _ngcontent-c3="" class="mvp-feat1-right-in">
                        <div _ngcontent-c3="" class="mvp-feat1-main left relative">
                          <div _ngcontent-c3="" class="mvp-feat1-mid-wrap relative">
                            <h3 _ngcontent-c3="" class="mvp-feat1-pop-head1" style="height:27px;">
                            </h3>
                            <div _ngcontent-c3="" class="mvp-feat1-pop-wrap left relative">
                              <div class="placeholder-wrapper">
                                <div class="placeholder-image"></div>
                                <div class="placeholder-catg"></div>
                                <div class="placeholder-title"></div>
                              </div>
                              <div class="placeholder-wrapper">
                                <div class="placeholder-image"></div>
                                <div class="placeholder-catg"></div>
                                <div class="placeholder-title"></div>
                              </div>
                              <div class="placeholder-wrapper">
                                <div class="placeholder-image"></div>
                                <div class="placeholder-catg"></div>
                                <div class="placeholder-title"></div>
                              </div>
                              <div class="placeholder-wrapper">
                                <div class="placeholder-image"></div>
                                <div class="placeholder-catg"></div>
                                <div class="placeholder-title"></div>
                              </div>
                              <div class="placeholder-wrapper">
                                <div class="placeholder-image"></div>
                                <div class="placeholder-catg"></div>
                                <div class="placeholder-title"></div>
                              </div>
                            </div>

                          </div>
                          <div _ngcontent-c3="" class="mvp-feat1-left-wrap relative">
                            <div class="placeholder-wrapper" style="height:600px;">
                              <div class="placeholder-image"></div>
                              <div class="placeholder-catg"></div>
                              <div class="placeholder-title"></div>
                            </div>
                            <div class="placeholder-wrapper" style="height:312px;">
                              <div class="placeholder-image" style="height:100%;"></div>
                            </div>
                            <div class="placeholder-wrapper" style="height:312px;">
                              <div class="placeholder-image" style="height:100%;"></div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="mvp-feat1-right-wrap left relative">
                        <h3 _ngcontent-c3="" class="mvp-feat1-pop-head1" style="height:27px;">
                        </h3>
                        <div class="placeholder-wrapper" style="height:300px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;margin-top:50px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>
                        <div class="placeholder-wrapper" style="height:94px;">
                          <div class="placeholder-image" style="height:100%;"></div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
                <!-- PLACEHOLDER ENDS-->

                <div [hidden]="showShell">
                  <router-outlet></router-outlet>
                </div>
                <footer id="mvp-foot-wrap" class="left relative">
                  <div id="mvp-foot-top" class="left relative">
                    <div class="mvp-main-box">
                      <div id="mvp-foot-logo" class="left relative">
                        <a href="https://www.spotboye.com">
                          <img src="./assets/images/flat_logo.png" alt="Spotboye" data-rjs="2" data-rjs-processed="true"
                            width="184" height="60">
                        </a>
                      </div>
                      <!--mvp-foot-logo-->
                      <div id="mvp-foot-soc" class="left relative">
                        <ul class="mvp-foot-soc-list left relative">
                          <li>
                            <a href="https://www.facebook.com/spotboye" rel=nofollow target="_blank" class="fa fa-facebook fa-2"></a>
                          </li>
                          <li>
                            <a href="https://www.twitter.com/spotboye" rel=nofollow target="_blank" class="fa fa-twitter fa-2"></a>
                          </li>
                          <li>
                            <a href="https://www.pinterest.com/spotboye" rel=nofollow target="_blank" class="fa fa-pinterest-p fa-2"></a>
                          </li>
                          <li>
                            <a href="https://www.instagram.com/spotboye_in" rel=nofollow target="_blank" class="fa fa-instagram fa-2"></a>
                          </li>
                          <!-- <li>
                            <a href="https://plus.google.com/+spotboye/posts" rel=nofollow target="_blank" class="fa fa-google-plus fa-2"></a>
                          </li> -->
                          <li>
                            <a href="https://www.youtube.com/c/spotboye" rel=nofollow target="_blank" class="fa fa-youtube-play fa-2"></a>
                          </li>
                          <li>
                            <a href="https://www.linkedin.com/company/9xmedia" rel=nofollow target="_blank" class="fa fa-linkedin fa-2"></a>
                          </li>
                        </ul>
                      </div>
                      <!--mvp-foot-soc-->
                      <div id="mvp-foot-menu-wrap" class="left relative">
                        <div id="mvp-foot-menu" class="left relative">
                          <div class="menu-footer-menu-container">
                            <ul id="menu-footer-menu" class="menu" *ngIf="menus.length>0">
                              <li *ngFor="let menu of menus">
                                <a [routerLink]="[menu.langURL+'/'+menu.slug]" *ngIf="menu.type!='page'">
                                  <span *ngIf='currentLang=="hi"'>{{menu.htitle}}</span>
                                  <span *ngIf='currentLang!=="hi"'>{{menu.title}}</span>
                                </a>
                                <a [routerLink]="[menu.url]" *ngIf="menu.type=='page'">
                                  <span *ngIf='currentLang=="hi"'>{{menu.htitle}}</span>
                                  <span *ngIf='currentLang!=="hi"'>{{menu.title}}</span>
                                </a>
                              </li>
                              <li ><a [routerLink]="'/author'">Our Authors</a></li>
                              <!-- code commented as per brian removed 26/8/19-->
                              <!-- <li [hidden]="!isBrowser()"><a href="/agencies/ins">IANS</a></li> -->
                              <!-- code commented as per ritesh n brian, hindi removed 19/8/19-->
                              <!-- <li [hidden]="!isBrowser()"><a href="/hi/agencies/ins">IANS(Hindi)</a></li> -->
                            </ul>
                          </div>
                        </div>
                        <!--mvp-foot-menu-->
                      </div>
                      <!--mvp-foot-menu-wrap-->
                    </div>
                    <!--mvp-main-box-->
                  </div>
                  <!--mvp-foot-top-->
                  <div id="mvp-foot-bot" class="left relative">
                    <div class="mvp-main-box">
                      <div id="mvp-foot-copy" class="left relative">
                        <p>©2019 9X Media Pvt. Ltd. All Rights Reserved.</p>
                      </div>
                      <ul class="right relative footer_copy">
                        <li class="menu-item menu-item-type-custom menu-item-object-custom">
                          <a [routerLink]="'/footers/terms-conditions'">Terms & Conditions</a>
                        </li>
                        <li class="menu-item menu-item-type-custom menu-item-object-custom">
                          <a [routerLink]="'/footers/disclaimer'">Disclaimer</a>
                        </li>
                        <li class="menu-item menu-item-type-custom menu-item-object-custom">
                          <a [routerLink]="'/footers/privacy-policy'">Privacy Policy</a>
                        </li>
                        <li class="menu-item menu-item-type-custom menu-item-object-custom">
                          <a [routerLink]="'/footers/contact-us'">Contact Us</a>
                        </li>
                        <li class="menu-item menu-item-type-custom menu-item-object-custom">
                          <a [routerLink]="'/footers/about-us'">About Us</a>
                        </li>
                        <li class="menu-item menu-item-type-custom menu-item-object-custom">
                          <a [routerLink]="'/footers/sitemap'">Sitemap</a>
                        </li>
                      </ul>
                      <!--mvp-foot-copy-->
                    </div>
                    <!--mvp-main-box-->
                  </div>
                  <!--mvp-foot-bot-->
                </footer>
              </div>
              <!--mvp-site-main-->
            </div>
            <!--mvp-site-wall-->
          </div>
          <!--mvp-site-->

          <div data-theiastickysidebar-sidebarselector="&quot;#mvp-side-wrap,.mvp-post-soc-wrap,.mvp-flex-side-wrap&quot;"
            data-theiastickysidebar-options="{&quot;containerSelector&quot;:&quot;&quot;,&quot;additionalMarginTop&quot;:120,&quot;additionalMarginBottom&quot;:20,&quot;updateSidebarHeight&quot;:false,&quot;minWidth&quot;:1004,&quot;sidebarBehavior&quot;:&quot;modern&quot;,&quot;disableOnResponsiveLayouts&quot;:true}"></div>

          <!-- Root element of PhotoSwipe. Must have class pswp. -->
          <div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">

            <!-- Background of PhotoSwipe.
                 It's a separate element as animating opacity is faster than rgba(). -->
            <div class="pswp__bg"></div>

            <!-- Slides wrapper with overflow:hidden. -->
            <div class="pswp__scroll-wrap">

              <!-- Container that holds slides.
                    PhotoSwipe keeps only 3 of them in the DOM to save memory.
                    Don't modify these 3 pswp__item elements, data is added later on. -->
              <div class="pswp__container">
                <div class="pswp__item"></div>
                <div class="pswp__item"></div>
                <div class="pswp__item"></div>
              </div>

              <!-- Default (PhotoSwipeUI_Default) interface on top of sliding area. Can be changed. -->
              <div class="pswp__ui pswp__ui--hidden">

                <div class="pswp__top-bar">

                  <!--  Controls are self-explanatory. Order can be changed. -->

                  <div class="pswp__counter"></div>



                  <!-- Preloader demo http://codepen.io/dimsemenov/pen/yyBWoR -->
                  <!-- element will get class pswp__preloader-active when preloader is running -->
                  <div class="pswp__preloader">
                    <div class="pswp__preloader__icn">
                      <div class="pswp__preloader__cut">
                        <div class="pswp__preloader__donut"></div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
                  <div class="pswp__share-tooltip"></div>
                </div>



                <div class="pswp__caption">
                  <div class="pswp__caption__center"></div>
                </div>

              </div>

            </div>

          </div>
    </div>